Imported Upstream version 7.59.0
[platform/upstream/curl.git] / docs / libcurl / Makefile.in
1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #***************************************************************************
18 #                                  _   _ ____  _
19 #  Project                     ___| | | |  _ \| |
20 #                             / __| | | | |_) | |
21 #                            | (__| |_| |  _ <| |___
22 #                             \___|\___/|_| \_\_____|
23 #
24 # Copyright (C) 1998 - 2017, Daniel Stenberg, <daniel@haxx.se>, et al.
25 #
26 # This software is licensed as described in the file COPYING, which
27 # you should have received as part of this distribution. The terms
28 # are also available at https://curl.haxx.se/docs/copyright.html.
29 #
30 # You may opt to use, copy, modify, merge, publish, distribute and/or sell
31 # copies of the Software, and permit persons to whom the Software is
32 # furnished to do so, under the terms of the COPYING file.
33 #
34 # This software is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY
35 # KIND, either express or implied.
36 #
37 ###########################################################################
38
39 # Shared between Makefile.am and CMakeLists.txt
40
41 VPATH = @srcdir@
42 am__is_gnu_make = { \
43   if test -z '$(MAKELEVEL)'; then \
44     false; \
45   elif test -n '$(MAKE_HOST)'; then \
46     true; \
47   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
48     true; \
49   else \
50     false; \
51   fi; \
52 }
53 am__make_running_with_option = \
54   case $${target_option-} in \
55       ?) ;; \
56       *) echo "am__make_running_with_option: internal error: invalid" \
57               "target option '$${target_option-}' specified" >&2; \
58          exit 1;; \
59   esac; \
60   has_opt=no; \
61   sane_makeflags=$$MAKEFLAGS; \
62   if $(am__is_gnu_make); then \
63     sane_makeflags=$$MFLAGS; \
64   else \
65     case $$MAKEFLAGS in \
66       *\\[\ \   ]*) \
67         bs=\\; \
68         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
69           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
70     esac; \
71   fi; \
72   skip_next=no; \
73   strip_trailopt () \
74   { \
75     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
76   }; \
77   for flg in $$sane_makeflags; do \
78     test $$skip_next = yes && { skip_next=no; continue; }; \
79     case $$flg in \
80       *=*|--*) continue;; \
81         -*I) strip_trailopt 'I'; skip_next=yes;; \
82       -*I?*) strip_trailopt 'I';; \
83         -*O) strip_trailopt 'O'; skip_next=yes;; \
84       -*O?*) strip_trailopt 'O';; \
85         -*l) strip_trailopt 'l'; skip_next=yes;; \
86       -*l?*) strip_trailopt 'l';; \
87       -[dEDm]) skip_next=yes;; \
88       -[JT]) skip_next=yes;; \
89     esac; \
90     case $$flg in \
91       *$$target_option*) has_opt=yes; break;; \
92     esac; \
93   done; \
94   test $$has_opt = yes
95 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
96 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
97 pkgdatadir = $(datadir)/@PACKAGE@
98 pkgincludedir = $(includedir)/@PACKAGE@
99 pkglibdir = $(libdir)/@PACKAGE@
100 pkglibexecdir = $(libexecdir)/@PACKAGE@
101 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
102 install_sh_DATA = $(install_sh) -c -m 644
103 install_sh_PROGRAM = $(install_sh) -c
104 install_sh_SCRIPT = $(install_sh) -c
105 INSTALL_HEADER = $(INSTALL_DATA)
106 transform = $(program_transform_name)
107 NORMAL_INSTALL = :
108 PRE_INSTALL = :
109 POST_INSTALL = :
110 NORMAL_UNINSTALL = :
111 PRE_UNINSTALL = :
112 POST_UNINSTALL = :
113 build_triplet = @build@
114 host_triplet = @host@
115 subdir = docs/libcurl
116 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
117 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_code_coverage.m4 \
118         $(top_srcdir)/m4/curl-compilers.m4 \
119         $(top_srcdir)/m4/curl-confopts.m4 \
120         $(top_srcdir)/m4/curl-functions.m4 \
121         $(top_srcdir)/m4/curl-openssl.m4 \
122         $(top_srcdir)/m4/curl-override.m4 \
123         $(top_srcdir)/m4/curl-reentrant.m4 $(top_srcdir)/m4/libtool.m4 \
124         $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
125         $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
126         $(top_srcdir)/m4/xc-am-iface.m4 \
127         $(top_srcdir)/m4/xc-cc-check.m4 \
128         $(top_srcdir)/m4/xc-lt-iface.m4 \
129         $(top_srcdir)/m4/xc-translit.m4 \
130         $(top_srcdir)/m4/xc-val-flgs.m4 \
131         $(top_srcdir)/m4/zz40-xc-ovr.m4 \
132         $(top_srcdir)/m4/zz50-xc-ovr.m4 \
133         $(top_srcdir)/m4/zz60-xc-ovr.m4 $(top_srcdir)/acinclude.m4 \
134         $(top_srcdir)/configure.ac
135 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
136         $(ACLOCAL_M4)
137 DIST_COMMON = $(srcdir)/Makefile.am $(dist_m4macro_DATA) \
138         $(am__DIST_COMMON)
139 mkinstalldirs = $(install_sh) -d
140 CONFIG_HEADER = $(top_builddir)/lib/curl_config.h
141 CONFIG_CLEAN_FILES =
142 CONFIG_CLEAN_VPATH_FILES =
143 AM_V_P = $(am__v_P_@AM_V@)
144 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
145 am__v_P_0 = false
146 am__v_P_1 = :
147 AM_V_GEN = $(am__v_GEN_@AM_V@)
148 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
149 am__v_GEN_0 = @echo "  GEN     " $@;
150 am__v_GEN_1 = 
151 AM_V_at = $(am__v_at_@AM_V@)
152 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
153 am__v_at_0 = @
154 am__v_at_1 = 
155 depcomp =
156 am__depfiles_maybe =
157 SOURCES =
158 DIST_SOURCES =
159 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
160         ctags-recursive dvi-recursive html-recursive info-recursive \
161         install-data-recursive install-dvi-recursive \
162         install-exec-recursive install-html-recursive \
163         install-info-recursive install-pdf-recursive \
164         install-ps-recursive install-recursive installcheck-recursive \
165         installdirs-recursive pdf-recursive ps-recursive \
166         tags-recursive uninstall-recursive
167 am__can_run_installinfo = \
168   case $$AM_UPDATE_INFO_DIR in \
169     n|no|NO) false;; \
170     *) (install-info --version) >/dev/null 2>&1;; \
171   esac
172 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
173 am__vpath_adj = case $$p in \
174     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
175     *) f=$$p;; \
176   esac;
177 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
178 am__install_max = 40
179 am__nobase_strip_setup = \
180   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
181 am__nobase_strip = \
182   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
183 am__nobase_list = $(am__nobase_strip_setup); \
184   for p in $$list; do echo "$$p $$p"; done | \
185   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
186   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
187     if (++n[$$2] == $(am__install_max)) \
188       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
189     END { for (dir in files) print dir, files[dir] }'
190 am__base_list = \
191   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
192   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
193 am__uninstall_files_from_dir = { \
194   test -z "$$files" \
195     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
196     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
197          $(am__cd) "$$dir" && rm -f $$files; }; \
198   }
199 man3dir = $(mandir)/man3
200 am__installdirs = "$(DESTDIR)$(man3dir)" "$(DESTDIR)$(m4macrodir)"
201 MANS = $(man_MANS)
202 DATA = $(dist_m4macro_DATA)
203 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
204   distclean-recursive maintainer-clean-recursive
205 am__recursive_targets = \
206   $(RECURSIVE_TARGETS) \
207   $(RECURSIVE_CLEAN_TARGETS) \
208   $(am__extra_recursive_targets)
209 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
210         check recheck distdir
211 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
212 # Read a list of newline-separated strings from the standard input,
213 # and print each of them once, without duplicates.  Input order is
214 # *not* preserved.
215 am__uniquify_input = $(AWK) '\
216   BEGIN { nonempty = 0; } \
217   { items[$$0] = 1; nonempty = 1; } \
218   END { if (nonempty) { for (i in items) print i; }; } \
219 '
220 # Make sure the list of sources is unique.  This is necessary because,
221 # e.g., the same source file might be shared among _SOURCES variables
222 # for different programs/libraries.
223 am__define_uniq_tagged_files = \
224   list='$(am__tagged_files)'; \
225   unique=`for i in $$list; do \
226     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
227   done | $(am__uniquify_input)`
228 ETAGS = etags
229 CTAGS = ctags
230 am__tty_colors_dummy = \
231   mgn= red= grn= lgn= blu= brg= std=; \
232   am__color_tests=no
233 am__tty_colors = { \
234   $(am__tty_colors_dummy); \
235   if test "X$(AM_COLOR_TESTS)" = Xno; then \
236     am__color_tests=no; \
237   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
238     am__color_tests=yes; \
239   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
240     am__color_tests=yes; \
241   fi; \
242   if test $$am__color_tests = yes; then \
243     red='\e[0;31m'; \
244     grn='\e[0;32m'; \
245     lgn='\e[1;32m'; \
246     blu='\e[1;34m'; \
247     mgn='\e[0;35m'; \
248     brg='\e[1m'; \
249     std='\e[m'; \
250   fi; \
251 }
252 am__recheck_rx = ^[     ]*:recheck:[    ]*
253 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
254 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
255 # A command that, given a newline-separated list of test names on the
256 # standard input, print the name of the tests that are to be re-run
257 # upon "make recheck".
258 am__list_recheck_tests = $(AWK) '{ \
259   recheck = 1; \
260   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
261     { \
262       if (rc < 0) \
263         { \
264           if ((getline line2 < ($$0 ".log")) < 0) \
265             recheck = 0; \
266           break; \
267         } \
268       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
269         { \
270           recheck = 0; \
271           break; \
272         } \
273       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
274         { \
275           break; \
276         } \
277     }; \
278   if (recheck) \
279     print $$0; \
280   close ($$0 ".trs"); \
281   close ($$0 ".log"); \
282 }'
283 # A command that, given a newline-separated list of test names on the
284 # standard input, create the global log from their .trs and .log files.
285 am__create_global_log = $(AWK) ' \
286 function fatal(msg) \
287 { \
288   print "fatal: making $@: " msg | "cat >&2"; \
289   exit 1; \
290 } \
291 function rst_section(header) \
292 { \
293   print header; \
294   len = length(header); \
295   for (i = 1; i <= len; i = i + 1) \
296     printf "="; \
297   printf "\n\n"; \
298 } \
299 { \
300   copy_in_global_log = 1; \
301   global_test_result = "RUN"; \
302   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
303     { \
304       if (rc < 0) \
305          fatal("failed to read from " $$0 ".trs"); \
306       if (line ~ /$(am__global_test_result_rx)/) \
307         { \
308           sub("$(am__global_test_result_rx)", "", line); \
309           sub("[        ]*$$", "", line); \
310           global_test_result = line; \
311         } \
312       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
313         copy_in_global_log = 0; \
314     }; \
315   if (copy_in_global_log) \
316     { \
317       rst_section(global_test_result ": " $$0); \
318       while ((rc = (getline line < ($$0 ".log"))) != 0) \
319       { \
320         if (rc < 0) \
321           fatal("failed to read from " $$0 ".log"); \
322         print line; \
323       }; \
324       printf "\n"; \
325     }; \
326   close ($$0 ".trs"); \
327   close ($$0 ".log"); \
328 }'
329 # Restructured Text title.
330 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
331 # Solaris 10 'make', and several other traditional 'make' implementations,
332 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
333 # by disabling -e (using the XSI extension "set +e") if it's set.
334 am__sh_e_setup = case $$- in *e*) set +e;; esac
335 # Default flags passed to test drivers.
336 am__common_driver_flags = \
337   --color-tests "$$am__color_tests" \
338   --enable-hard-errors "$$am__enable_hard_errors" \
339   --expect-failure "$$am__expect_failure"
340 # To be inserted before the command running the test.  Creates the
341 # directory for the log if needed.  Stores in $dir the directory
342 # containing $f, in $tst the test, in $log the log.  Executes the
343 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
344 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
345 # will run the test scripts (or their associated LOG_COMPILER, if
346 # thy have one).
347 am__check_pre = \
348 $(am__sh_e_setup);                                      \
349 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
350 $(am__tty_colors);                                      \
351 srcdir=$(srcdir); export srcdir;                        \
352 case "$@" in                                            \
353   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
354     *) am__odir=.;;                                     \
355 esac;                                                   \
356 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
357   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
358 if test -f "./$$f"; then dir=./;                        \
359 elif test -f "$$f"; then dir=;                          \
360 else dir="$(srcdir)/"; fi;                              \
361 tst=$$dir$$f; log='$@';                                 \
362 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
363   am__enable_hard_errors=no;                            \
364 else                                                    \
365   am__enable_hard_errors=yes;                           \
366 fi;                                                     \
367 case " $(XFAIL_TESTS) " in                              \
368   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
369     am__expect_failure=yes;;                            \
370   *)                                                    \
371     am__expect_failure=no;;                             \
372 esac;                                                   \
373 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
374 # A shell command to get the names of the tests scripts with any registered
375 # extension removed (i.e., equivalently, the names of the test logs, with
376 # the '.log' extension removed).  The result is saved in the shell variable
377 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
378 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
379 # since that might cause problem with VPATH rewrites for suffix-less tests.
380 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
381 am__set_TESTS_bases = \
382   bases='$(TEST_LOGS)'; \
383   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
384   bases=`echo $$bases`
385 RECHECK_LOGS = $(TEST_LOGS)
386 TEST_SUITE_LOG = test-suite.log
387 TEST_EXTENSIONS = @EXEEXT@ .test
388 LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
389 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
390 am__set_b = \
391   case '$@' in \
392     */*) \
393       case '$*' in \
394         */*) b='$*';; \
395           *) b=`echo '$@' | sed 's/\.log$$//'`; \
396        esac;; \
397     *) \
398       b='$*';; \
399   esac
400 am__test_logs1 = $(TESTS:=.log)
401 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
402 TEST_LOGS = $(am__test_logs2:.test.log=.log)
403 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
404 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
405         $(TEST_LOG_FLAGS)
406 DIST_SUBDIRS = $(SUBDIRS)
407 am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.inc \
408         $(top_srcdir)/test-driver
409 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
410 am__relativize = \
411   dir0=`pwd`; \
412   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
413   sed_rest='s,^[^/]*/*,,'; \
414   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
415   sed_butlast='s,/*[^/]*$$,,'; \
416   while test -n "$$dir1"; do \
417     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
418     if test "$$first" != "."; then \
419       if test "$$first" = ".."; then \
420         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
421         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
422       else \
423         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
424         if test "$$first2" = "$$first"; then \
425           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
426         else \
427           dir2="../$$dir2"; \
428         fi; \
429         dir0="$$dir0"/"$$first"; \
430       fi; \
431     fi; \
432     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
433   done; \
434   reldir="$$dir2"
435 ACLOCAL = @ACLOCAL@
436 AMTAR = @AMTAR@
437 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
438 AR = @AR@
439 AS = @AS@
440 AUTOCONF = @AUTOCONF@
441 AUTOHEADER = @AUTOHEADER@
442 AUTOMAKE = @AUTOMAKE@
443 AWK = @AWK@
444 BLANK_AT_MAKETIME = @BLANK_AT_MAKETIME@
445 CC = @CC@
446 CCDEPMODE = @CCDEPMODE@
447 CFLAGS = @CFLAGS@
448 CFLAG_CURL_SYMBOL_HIDING = @CFLAG_CURL_SYMBOL_HIDING@
449 CODE_COVERAGE_CFLAGS = @CODE_COVERAGE_CFLAGS@
450 CODE_COVERAGE_CPPFLAGS = @CODE_COVERAGE_CPPFLAGS@
451 CODE_COVERAGE_CXXFLAGS = @CODE_COVERAGE_CXXFLAGS@
452 CODE_COVERAGE_ENABLED = @CODE_COVERAGE_ENABLED@
453 CODE_COVERAGE_LDFLAGS = @CODE_COVERAGE_LDFLAGS@
454 CODE_COVERAGE_LIBS = @CODE_COVERAGE_LIBS@
455 CONFIGURE_OPTIONS = @CONFIGURE_OPTIONS@
456 CPP = @CPP@
457 CPPFLAGS = @CPPFLAGS@
458 CPPFLAG_CURL_STATICLIB = @CPPFLAG_CURL_STATICLIB@
459 CURLVERSION = @CURLVERSION@
460 CURL_CA_BUNDLE = @CURL_CA_BUNDLE@
461 CURL_CFLAG_EXTRAS = @CURL_CFLAG_EXTRAS@
462 CURL_DISABLE_DICT = @CURL_DISABLE_DICT@
463 CURL_DISABLE_FILE = @CURL_DISABLE_FILE@
464 CURL_DISABLE_FTP = @CURL_DISABLE_FTP@
465 CURL_DISABLE_GOPHER = @CURL_DISABLE_GOPHER@
466 CURL_DISABLE_HTTP = @CURL_DISABLE_HTTP@
467 CURL_DISABLE_IMAP = @CURL_DISABLE_IMAP@
468 CURL_DISABLE_LDAP = @CURL_DISABLE_LDAP@
469 CURL_DISABLE_LDAPS = @CURL_DISABLE_LDAPS@
470 CURL_DISABLE_POP3 = @CURL_DISABLE_POP3@
471 CURL_DISABLE_PROXY = @CURL_DISABLE_PROXY@
472 CURL_DISABLE_RTSP = @CURL_DISABLE_RTSP@
473 CURL_DISABLE_SMB = @CURL_DISABLE_SMB@
474 CURL_DISABLE_SMTP = @CURL_DISABLE_SMTP@
475 CURL_DISABLE_TELNET = @CURL_DISABLE_TELNET@
476 CURL_DISABLE_TFTP = @CURL_DISABLE_TFTP@
477 CURL_LT_SHLIB_VERSIONED_FLAVOUR = @CURL_LT_SHLIB_VERSIONED_FLAVOUR@
478 CURL_NETWORK_AND_TIME_LIBS = @CURL_NETWORK_AND_TIME_LIBS@
479 CURL_NETWORK_LIBS = @CURL_NETWORK_LIBS@
480 CURL_WITH_MULTI_SSL = @CURL_WITH_MULTI_SSL@
481 CYGPATH_W = @CYGPATH_W@
482 DEFAULT_SSL_BACKEND = @DEFAULT_SSL_BACKEND@
483 DEFS = @DEFS@
484 DEPDIR = @DEPDIR@
485 DLLTOOL = @DLLTOOL@
486 DSYMUTIL = @DSYMUTIL@
487 DUMPBIN = @DUMPBIN@
488 ECHO_C = @ECHO_C@
489 ECHO_N = @ECHO_N@
490 ECHO_T = @ECHO_T@
491 EGREP = @EGREP@
492 ENABLE_SHARED = @ENABLE_SHARED@
493 ENABLE_STATIC = @ENABLE_STATIC@
494 EXEEXT = @EXEEXT@
495 FGREP = @FGREP@
496 GCOV = @GCOV@
497 GENHTML = @GENHTML@
498 GREP = @GREP@
499 HAVE_BROTLI = @HAVE_BROTLI@
500 HAVE_GNUTLS_SRP = @HAVE_GNUTLS_SRP@
501 HAVE_LDAP_SSL = @HAVE_LDAP_SSL@
502 HAVE_LIBZ = @HAVE_LIBZ@
503 HAVE_OPENSSL_SRP = @HAVE_OPENSSL_SRP@
504 IDN_ENABLED = @IDN_ENABLED@
505 INSTALL = @INSTALL@
506 INSTALL_DATA = @INSTALL_DATA@
507 INSTALL_PROGRAM = @INSTALL_PROGRAM@
508 INSTALL_SCRIPT = @INSTALL_SCRIPT@
509 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
510 IPV6_ENABLED = @IPV6_ENABLED@
511 LCOV = @LCOV@
512 LD = @LD@
513 LDFLAGS = @LDFLAGS@
514 LIBCURL_LIBS = @LIBCURL_LIBS@
515 LIBMETALINK_CPPFLAGS = @LIBMETALINK_CPPFLAGS@
516 LIBMETALINK_LDFLAGS = @LIBMETALINK_LDFLAGS@
517 LIBMETALINK_LIBS = @LIBMETALINK_LIBS@
518 LIBOBJS = @LIBOBJS@
519 LIBS = @LIBS@
520 LIBTOOL = @LIBTOOL@
521 LIPO = @LIPO@
522 LN_S = @LN_S@
523 LTLIBOBJS = @LTLIBOBJS@
524 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
525 MAINT = @MAINT@
526 MAKEINFO = @MAKEINFO@
527 MANIFEST_TOOL = @MANIFEST_TOOL@
528 MANOPT = @MANOPT@
529 MKDIR_P = @MKDIR_P@
530 NM = @NM@
531 NMEDIT = @NMEDIT@
532 NROFF = @NROFF@
533 NSS_LIBS = @NSS_LIBS@
534 OBJDUMP = @OBJDUMP@
535 OBJEXT = @OBJEXT@
536 OTOOL = @OTOOL@
537 OTOOL64 = @OTOOL64@
538 PACKAGE = @PACKAGE@
539 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
540 PACKAGE_NAME = @PACKAGE_NAME@
541 PACKAGE_STRING = @PACKAGE_STRING@
542 PACKAGE_TARNAME = @PACKAGE_TARNAME@
543 PACKAGE_URL = @PACKAGE_URL@
544 PACKAGE_VERSION = @PACKAGE_VERSION@
545 PATH_SEPARATOR = @PATH_SEPARATOR@
546 PERL = @PERL@
547 PKGADD_NAME = @PKGADD_NAME@
548 PKGADD_PKG = @PKGADD_PKG@
549 PKGADD_VENDOR = @PKGADD_VENDOR@
550 PKGCONFIG = @PKGCONFIG@
551 RANDOM_FILE = @RANDOM_FILE@
552 RANLIB = @RANLIB@
553 REQUIRE_LIB_DEPS = @REQUIRE_LIB_DEPS@
554 SED = @SED@
555 SET_MAKE = @SET_MAKE@
556 SHELL = @SHELL@
557 SSL_BACKENDS = @SSL_BACKENDS@
558 SSL_ENABLED = @SSL_ENABLED@
559 SSL_LIBS = @SSL_LIBS@
560 STRIP = @STRIP@
561 SUPPORT_FEATURES = @SUPPORT_FEATURES@
562 SUPPORT_PROTOCOLS = @SUPPORT_PROTOCOLS@
563 USE_ARES = @USE_ARES@
564 USE_AXTLS = @USE_AXTLS@
565 USE_CYASSL = @USE_CYASSL@
566 USE_DARWINSSL = @USE_DARWINSSL@
567 USE_GNUTLS = @USE_GNUTLS@
568 USE_GNUTLS_NETTLE = @USE_GNUTLS_NETTLE@
569 USE_LIBRTMP = @USE_LIBRTMP@
570 USE_LIBSSH = @USE_LIBSSH@
571 USE_LIBSSH2 = @USE_LIBSSH2@
572 USE_MBEDTLS = @USE_MBEDTLS@
573 USE_NGHTTP2 = @USE_NGHTTP2@
574 USE_NSS = @USE_NSS@
575 USE_OPENLDAP = @USE_OPENLDAP@
576 USE_POLARSSL = @USE_POLARSSL@
577 USE_SCHANNEL = @USE_SCHANNEL@
578 USE_UNIX_SOCKETS = @USE_UNIX_SOCKETS@
579 USE_WINDOWS_SSPI = @USE_WINDOWS_SSPI@
580 VERSION = @VERSION@
581 VERSIONNUM = @VERSIONNUM@
582 ZLIB_LIBS = @ZLIB_LIBS@
583 ZSH_FUNCTIONS_DIR = @ZSH_FUNCTIONS_DIR@
584 abs_builddir = @abs_builddir@
585 abs_srcdir = @abs_srcdir@
586 abs_top_builddir = @abs_top_builddir@
587 abs_top_srcdir = @abs_top_srcdir@
588 ac_ct_AR = @ac_ct_AR@
589 ac_ct_CC = @ac_ct_CC@
590 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
591 am__include = @am__include@
592 am__leading_dot = @am__leading_dot@
593 am__quote = @am__quote@
594 am__tar = @am__tar@
595 am__untar = @am__untar@
596 bindir = @bindir@
597 build = @build@
598 build_alias = @build_alias@
599 build_cpu = @build_cpu@
600 build_os = @build_os@
601 build_vendor = @build_vendor@
602 builddir = @builddir@
603 datadir = @datadir@
604 datarootdir = @datarootdir@
605 docdir = @docdir@
606 dvidir = @dvidir@
607 exec_prefix = @exec_prefix@
608 host = @host@
609 host_alias = @host_alias@
610 host_cpu = @host_cpu@
611 host_os = @host_os@
612 host_vendor = @host_vendor@
613 htmldir = @htmldir@
614 includedir = @includedir@
615 infodir = @infodir@
616 install_sh = @install_sh@
617 libdir = @libdir@
618 libexecdir = @libexecdir@
619 libext = @libext@
620 localedir = @localedir@
621 localstatedir = @localstatedir@
622 mandir = @mandir@
623 mkdir_p = @mkdir_p@
624 oldincludedir = @oldincludedir@
625 pdfdir = @pdfdir@
626 prefix = @prefix@
627 program_transform_name = @program_transform_name@
628 psdir = @psdir@
629 runstatedir = @runstatedir@
630 sbindir = @sbindir@
631 sharedstatedir = @sharedstatedir@
632 srcdir = @srcdir@
633 subdirs = @subdirs@
634 sysconfdir = @sysconfdir@
635 target_alias = @target_alias@
636 top_build_prefix = @top_build_prefix@
637 top_builddir = @top_builddir@
638 top_srcdir = @top_srcdir@
639 AUTOMAKE_OPTIONS = foreign no-dependencies
640 SUBDIRS = opts
641 man_MANS = curl_easy_cleanup.3 curl_easy_getinfo.3 curl_easy_init.3      \
642   curl_easy_perform.3 curl_easy_setopt.3 curl_easy_duphandle.3           \
643   curl_formadd.3 curl_formfree.3 curl_getdate.3 curl_getenv.3            \
644   curl_slist_append.3 curl_slist_free_all.3 curl_version.3               \
645   curl_version_info.3 curl_escape.3 curl_unescape.3 curl_free.3          \
646   curl_strequal.3 curl_strnequal.3  curl_mprintf.3 curl_global_init.3    \
647   curl_global_cleanup.3 curl_multi_add_handle.3 curl_multi_cleanup.3     \
648   curl_multi_fdset.3 curl_multi_info_read.3 curl_multi_init.3            \
649   curl_multi_perform.3 curl_multi_remove_handle.3 curl_share_cleanup.3   \
650   curl_share_init.3 curl_share_setopt.3 libcurl.3 libcurl-easy.3         \
651   libcurl-multi.3 libcurl-share.3 libcurl-errors.3 curl_easy_strerror.3  \
652   curl_multi_strerror.3 curl_share_strerror.3 curl_global_init_mem.3     \
653   libcurl-tutorial.3 curl_easy_reset.3 curl_easy_escape.3                \
654   curl_easy_unescape.3 curl_multi_setopt.3 curl_multi_socket.3           \
655   curl_multi_timeout.3 curl_formget.3 curl_multi_assign.3                \
656   curl_easy_pause.3 curl_easy_recv.3 curl_easy_send.3                    \
657   curl_multi_socket_action.3 curl_multi_wait.3 libcurl-symbols.3         \
658   libcurl-thread.3 curl_multi_socket_all.3 curl_global_sslset.3          \
659   curl_mime_init.3 curl_mime_free.3 curl_mime_addpart.3 curl_mime_name.3 \
660   curl_mime_data.3 curl_mime_data_cb.3 curl_mime_filedata.3              \
661   curl_mime_filename.3 curl_mime_subparts.3                              \
662   curl_mime_type.3 curl_mime_headers.3 curl_mime_encoder.3 libcurl-env.3 \
663   libcurl-security.3
664
665 man_DISTMANS = $(man_MANS:.3=.3.dist)
666 HTMLPAGES = $(man_MANS:.3=.html)
667 PDFPAGES = $(man_MANS:.3=.pdf)
668 m4macrodir = $(datadir)/aclocal
669 dist_m4macro_DATA = libcurl.m4
670 CLEANFILES = $(HTMLPAGES) $(PDFPAGES) $(TESTS) $(man_DISTMANS) \
671   libcurl-symbols.3
672
673 EXTRA_DIST = $(man_MANS) index.html ABI symbols-in-versions symbols.pl  \
674   mksymbolsmanpage.pl CMakeLists.txt
675
676 MAN2HTML = roffit --mandir=. $< >$@
677 SUFFIXES = .3 .html
678
679 # Make sure each option man page is referenced in the main man page
680 TESTS = check-easy check-multi
681 LOG_COMPILER = $(PERL)
682 # The test fails if the log file contains any text
683 AM_LOG_FLAGS = -p -e 'die "$$_" if ($$_);'
684 all: all-recursive
685
686 .SUFFIXES:
687 .SUFFIXES: .3 .html .log .pdf .test .test$(EXEEXT) .trs
688 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/Makefile.inc $(am__configure_deps)
689         @for dep in $?; do \
690           case '$(am__configure_deps)' in \
691             *$$dep*) \
692               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
693                 && { if test -f $@; then exit 0; else break; fi; }; \
694               exit 1;; \
695           esac; \
696         done; \
697         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign docs/libcurl/Makefile'; \
698         $(am__cd) $(top_srcdir) && \
699           $(AUTOMAKE) --foreign docs/libcurl/Makefile
700 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
701         @case '$?' in \
702           *config.status*) \
703             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
704           *) \
705             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
706             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
707         esac;
708 $(srcdir)/Makefile.inc $(am__empty):
709
710 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
711         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
712
713 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
714         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
715 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
716         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
717 $(am__aclocal_m4_deps):
718
719 mostlyclean-libtool:
720         -rm -f *.lo
721
722 clean-libtool:
723         -rm -rf .libs _libs
724 install-man3: $(man_MANS)
725         @$(NORMAL_INSTALL)
726         @list1=''; \
727         list2='$(man_MANS)'; \
728         test -n "$(man3dir)" \
729           && test -n "`echo $$list1$$list2`" \
730           || exit 0; \
731         echo " $(MKDIR_P) '$(DESTDIR)$(man3dir)'"; \
732         $(MKDIR_P) "$(DESTDIR)$(man3dir)" || exit 1; \
733         { for i in $$list1; do echo "$$i"; done;  \
734         if test -n "$$list2"; then \
735           for i in $$list2; do echo "$$i"; done \
736             | sed -n '/\.3[a-z]*$$/p'; \
737         fi; \
738         } | while read p; do \
739           if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
740           echo "$$d$$p"; echo "$$p"; \
741         done | \
742         sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^3][0-9a-z]*$$,3,;x' \
743               -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
744         sed 'N;N;s,\n, ,g' | { \
745         list=; while read file base inst; do \
746           if test "$$base" = "$$inst"; then list="$$list $$file"; else \
747             echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man3dir)/$$inst'"; \
748             $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man3dir)/$$inst" || exit $$?; \
749           fi; \
750         done; \
751         for i in $$list; do echo "$$i"; done | $(am__base_list) | \
752         while read files; do \
753           test -z "$$files" || { \
754             echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man3dir)'"; \
755             $(INSTALL_DATA) $$files "$(DESTDIR)$(man3dir)" || exit $$?; }; \
756         done; }
757
758 uninstall-man3:
759         @$(NORMAL_UNINSTALL)
760         @list=''; test -n "$(man3dir)" || exit 0; \
761         files=`{ for i in $$list; do echo "$$i"; done; \
762         l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
763           sed -n '/\.3[a-z]*$$/p'; \
764         } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^3][0-9a-z]*$$,3,;x' \
765               -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
766         dir='$(DESTDIR)$(man3dir)'; $(am__uninstall_files_from_dir)
767 install-dist_m4macroDATA: $(dist_m4macro_DATA)
768         @$(NORMAL_INSTALL)
769         @list='$(dist_m4macro_DATA)'; test -n "$(m4macrodir)" || list=; \
770         if test -n "$$list"; then \
771           echo " $(MKDIR_P) '$(DESTDIR)$(m4macrodir)'"; \
772           $(MKDIR_P) "$(DESTDIR)$(m4macrodir)" || exit 1; \
773         fi; \
774         for p in $$list; do \
775           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
776           echo "$$d$$p"; \
777         done | $(am__base_list) | \
778         while read files; do \
779           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(m4macrodir)'"; \
780           $(INSTALL_DATA) $$files "$(DESTDIR)$(m4macrodir)" || exit $$?; \
781         done
782
783 uninstall-dist_m4macroDATA:
784         @$(NORMAL_UNINSTALL)
785         @list='$(dist_m4macro_DATA)'; test -n "$(m4macrodir)" || list=; \
786         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
787         dir='$(DESTDIR)$(m4macrodir)'; $(am__uninstall_files_from_dir)
788
789 # This directory's subdirectories are mostly independent; you can cd
790 # into them and run 'make' without going through this Makefile.
791 # To change the values of 'make' variables: instead of editing Makefiles,
792 # (1) if the variable is set in 'config.status', edit 'config.status'
793 #     (which will cause the Makefiles to be regenerated when you run 'make');
794 # (2) otherwise, pass the desired values on the 'make' command line.
795 $(am__recursive_targets):
796         @fail=; \
797         if $(am__make_keepgoing); then \
798           failcom='fail=yes'; \
799         else \
800           failcom='exit 1'; \
801         fi; \
802         dot_seen=no; \
803         target=`echo $@ | sed s/-recursive//`; \
804         case "$@" in \
805           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
806           *) list='$(SUBDIRS)' ;; \
807         esac; \
808         for subdir in $$list; do \
809           echo "Making $$target in $$subdir"; \
810           if test "$$subdir" = "."; then \
811             dot_seen=yes; \
812             local_target="$$target-am"; \
813           else \
814             local_target="$$target"; \
815           fi; \
816           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
817           || eval $$failcom; \
818         done; \
819         if test "$$dot_seen" = "no"; then \
820           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
821         fi; test -z "$$fail"
822
823 ID: $(am__tagged_files)
824         $(am__define_uniq_tagged_files); mkid -fID $$unique
825 tags: tags-recursive
826 TAGS: tags
827
828 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
829         set x; \
830         here=`pwd`; \
831         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
832           include_option=--etags-include; \
833           empty_fix=.; \
834         else \
835           include_option=--include; \
836           empty_fix=; \
837         fi; \
838         list='$(SUBDIRS)'; for subdir in $$list; do \
839           if test "$$subdir" = .; then :; else \
840             test ! -f $$subdir/TAGS || \
841               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
842           fi; \
843         done; \
844         $(am__define_uniq_tagged_files); \
845         shift; \
846         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
847           test -n "$$unique" || unique=$$empty_fix; \
848           if test $$# -gt 0; then \
849             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
850               "$$@" $$unique; \
851           else \
852             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
853               $$unique; \
854           fi; \
855         fi
856 ctags: ctags-recursive
857
858 CTAGS: ctags
859 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
860         $(am__define_uniq_tagged_files); \
861         test -z "$(CTAGS_ARGS)$$unique" \
862           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
863              $$unique
864
865 GTAGS:
866         here=`$(am__cd) $(top_builddir) && pwd` \
867           && $(am__cd) $(top_srcdir) \
868           && gtags -i $(GTAGS_ARGS) "$$here"
869 cscopelist: cscopelist-recursive
870
871 cscopelist-am: $(am__tagged_files)
872         list='$(am__tagged_files)'; \
873         case "$(srcdir)" in \
874           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
875           *) sdir=$(subdir)/$(srcdir) ;; \
876         esac; \
877         for i in $$list; do \
878           if test -f "$$i"; then \
879             echo "$(subdir)/$$i"; \
880           else \
881             echo "$$sdir/$$i"; \
882           fi; \
883         done >> $(top_builddir)/cscope.files
884
885 distclean-tags:
886         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
887
888 # Recover from deleted '.trs' file; this should ensure that
889 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
890 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
891 # to avoid problems with "make -n".
892 .log.trs:
893         rm -f $< $@
894         $(MAKE) $(AM_MAKEFLAGS) $<
895
896 # Leading 'am--fnord' is there to ensure the list of targets does not
897 # expand to empty, as could happen e.g. with make check TESTS=''.
898 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
899 am--force-recheck:
900         @:
901
902 $(TEST_SUITE_LOG): $(TEST_LOGS)
903         @$(am__set_TESTS_bases); \
904         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
905         redo_bases=`for i in $$bases; do \
906                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
907                     done`; \
908         if test -n "$$redo_bases"; then \
909           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
910           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
911           if $(am__make_dryrun); then :; else \
912             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
913           fi; \
914         fi; \
915         if test -n "$$am__remaking_logs"; then \
916           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
917                "recursion detected" >&2; \
918         elif test -n "$$redo_logs"; then \
919           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
920         fi; \
921         if $(am__make_dryrun); then :; else \
922           st=0;  \
923           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
924           for i in $$redo_bases; do \
925             test -f $$i.trs && test -r $$i.trs \
926               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
927             test -f $$i.log && test -r $$i.log \
928               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
929           done; \
930           test $$st -eq 0 || exit 1; \
931         fi
932         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
933         ws='[   ]'; \
934         results=`for b in $$bases; do echo $$b.trs; done`; \
935         test -n "$$results" || results=/dev/null; \
936         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
937         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
938         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
939         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
940         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
941         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
942         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
943         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
944           success=true; \
945         else \
946           success=false; \
947         fi; \
948         br='==================='; br=$$br$$br$$br$$br; \
949         result_count () \
950         { \
951             if test x"$$1" = x"--maybe-color"; then \
952               maybe_colorize=yes; \
953             elif test x"$$1" = x"--no-color"; then \
954               maybe_colorize=no; \
955             else \
956               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
957             fi; \
958             shift; \
959             desc=$$1 count=$$2; \
960             if test $$maybe_colorize = yes && test $$count -gt 0; then \
961               color_start=$$3 color_end=$$std; \
962             else \
963               color_start= color_end=; \
964             fi; \
965             echo "$${color_start}# $$desc $$count$${color_end}"; \
966         }; \
967         create_testsuite_report () \
968         { \
969           result_count $$1 "TOTAL:" $$all   "$$brg"; \
970           result_count $$1 "PASS: " $$pass  "$$grn"; \
971           result_count $$1 "SKIP: " $$skip  "$$blu"; \
972           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
973           result_count $$1 "FAIL: " $$fail  "$$red"; \
974           result_count $$1 "XPASS:" $$xpass "$$red"; \
975           result_count $$1 "ERROR:" $$error "$$mgn"; \
976         }; \
977         {                                                               \
978           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
979             $(am__rst_title);                                           \
980           create_testsuite_report --no-color;                           \
981           echo;                                                         \
982           echo ".. contents:: :depth: 2";                               \
983           echo;                                                         \
984           for b in $$bases; do echo $$b; done                           \
985             | $(am__create_global_log);                                 \
986         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
987         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
988         if $$success; then                                              \
989           col="$$grn";                                                  \
990          else                                                           \
991           col="$$red";                                                  \
992           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
993         fi;                                                             \
994         echo "$${col}$$br$${std}";                                      \
995         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
996         echo "$${col}$$br$${std}";                                      \
997         create_testsuite_report --maybe-color;                          \
998         echo "$$col$$br$$std";                                          \
999         if $$success; then :; else                                      \
1000           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1001           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1002             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1003           fi;                                                           \
1004           echo "$$col$$br$$std";                                        \
1005         fi;                                                             \
1006         $$success || exit 1
1007
1008 check-TESTS:
1009         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1010         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1011         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1012         @set +e; $(am__set_TESTS_bases); \
1013         log_list=`for i in $$bases; do echo $$i.log; done`; \
1014         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1015         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1016         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1017         exit $$?;
1018 recheck: all 
1019         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1020         @set +e; $(am__set_TESTS_bases); \
1021         bases=`for i in $$bases; do echo $$i; done \
1022                  | $(am__list_recheck_tests)` || exit 1; \
1023         log_list=`for i in $$bases; do echo $$i.log; done`; \
1024         log_list=`echo $$log_list`; \
1025         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1026                 am__force_recheck=am--force-recheck \
1027                 TEST_LOGS="$$log_list"; \
1028         exit $$?
1029 check-easy.log: check-easy
1030         @p='check-easy'; \
1031         b='check-easy'; \
1032         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1033         --log-file $$b.log --trs-file $$b.trs \
1034         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1035         "$$tst" $(AM_TESTS_FD_REDIRECT)
1036 check-multi.log: check-multi
1037         @p='check-multi'; \
1038         b='check-multi'; \
1039         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1040         --log-file $$b.log --trs-file $$b.trs \
1041         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1042         "$$tst" $(AM_TESTS_FD_REDIRECT)
1043 .test.log:
1044         @p='$<'; \
1045         $(am__set_b); \
1046         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1047         --log-file $$b.log --trs-file $$b.trs \
1048         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1049         "$$tst" $(AM_TESTS_FD_REDIRECT)
1050 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
1051 @am__EXEEXT_TRUE@       @p='$<'; \
1052 @am__EXEEXT_TRUE@       $(am__set_b); \
1053 @am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1054 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1055 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1056 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1057
1058 distdir: $(DISTFILES)
1059         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1060         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1061         list='$(DISTFILES)'; \
1062           dist_files=`for file in $$list; do echo $$file; done | \
1063           sed -e "s|^$$srcdirstrip/||;t" \
1064               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1065         case $$dist_files in \
1066           */*) $(MKDIR_P) `echo "$$dist_files" | \
1067                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1068                            sort -u` ;; \
1069         esac; \
1070         for file in $$dist_files; do \
1071           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1072           if test -d $$d/$$file; then \
1073             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1074             if test -d "$(distdir)/$$file"; then \
1075               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1076             fi; \
1077             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1078               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1079               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1080             fi; \
1081             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1082           else \
1083             test -f "$(distdir)/$$file" \
1084             || cp -p $$d/$$file "$(distdir)/$$file" \
1085             || exit 1; \
1086           fi; \
1087         done
1088         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1089           if test "$$subdir" = .; then :; else \
1090             $(am__make_dryrun) \
1091               || test -d "$(distdir)/$$subdir" \
1092               || $(MKDIR_P) "$(distdir)/$$subdir" \
1093               || exit 1; \
1094             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
1095             $(am__relativize); \
1096             new_distdir=$$reldir; \
1097             dir1=$$subdir; dir2="$(top_distdir)"; \
1098             $(am__relativize); \
1099             new_top_distdir=$$reldir; \
1100             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
1101             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
1102             ($(am__cd) $$subdir && \
1103               $(MAKE) $(AM_MAKEFLAGS) \
1104                 top_distdir="$$new_top_distdir" \
1105                 distdir="$$new_distdir" \
1106                 am__remove_distdir=: \
1107                 am__skip_length_check=: \
1108                 am__skip_mode_fix=: \
1109                 distdir) \
1110               || exit 1; \
1111           fi; \
1112         done
1113 check-am: all-am
1114         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1115 check: check-recursive
1116 all-am: Makefile $(MANS) $(DATA)
1117 installdirs: installdirs-recursive
1118 installdirs-am:
1119         for dir in "$(DESTDIR)$(man3dir)" "$(DESTDIR)$(m4macrodir)"; do \
1120           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1121         done
1122 install: install-recursive
1123 install-exec: install-exec-recursive
1124 install-data: install-data-recursive
1125 uninstall: uninstall-recursive
1126
1127 install-am: all-am
1128         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1129
1130 installcheck: installcheck-recursive
1131 install-strip:
1132         if test -z '$(STRIP)'; then \
1133           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1134             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1135               install; \
1136         else \
1137           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1138             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1139             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1140         fi
1141 mostlyclean-generic:
1142         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1143         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1144         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1145
1146 clean-generic:
1147         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1148
1149 distclean-generic:
1150         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1151         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1152
1153 maintainer-clean-generic:
1154         @echo "This command is intended for maintainers to use"
1155         @echo "it deletes files that may require special tools to rebuild."
1156 clean: clean-recursive
1157
1158 clean-am: clean-generic clean-libtool mostlyclean-am
1159
1160 distclean: distclean-recursive
1161         -rm -f Makefile
1162 distclean-am: clean-am distclean-generic distclean-tags
1163
1164 dvi: dvi-recursive
1165
1166 dvi-am:
1167
1168 html-am:
1169
1170 info: info-recursive
1171
1172 info-am:
1173
1174 install-data-am: install-dist_m4macroDATA install-man
1175
1176 install-dvi: install-dvi-recursive
1177
1178 install-dvi-am:
1179
1180 install-exec-am:
1181
1182 install-html: install-html-recursive
1183
1184 install-html-am:
1185
1186 install-info: install-info-recursive
1187
1188 install-info-am:
1189
1190 install-man: install-man3
1191
1192 install-pdf: install-pdf-recursive
1193
1194 install-pdf-am:
1195
1196 install-ps: install-ps-recursive
1197
1198 install-ps-am:
1199
1200 installcheck-am:
1201
1202 maintainer-clean: maintainer-clean-recursive
1203         -rm -f Makefile
1204 maintainer-clean-am: distclean-am maintainer-clean-generic
1205
1206 mostlyclean: mostlyclean-recursive
1207
1208 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
1209
1210 pdf-am:
1211
1212 ps: ps-recursive
1213
1214 ps-am:
1215
1216 uninstall-am: uninstall-dist_m4macroDATA uninstall-man
1217
1218 uninstall-man: uninstall-man3
1219
1220 .MAKE: $(am__recursive_targets) check-am install-am install-strip
1221
1222 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
1223         check-TESTS check-am clean clean-generic clean-libtool \
1224         cscopelist-am ctags ctags-am distclean distclean-generic \
1225         distclean-libtool distclean-tags distdir dvi dvi-am html \
1226         html-am info info-am install install-am install-data \
1227         install-data-am install-dist_m4macroDATA install-dvi \
1228         install-dvi-am install-exec install-exec-am install-html \
1229         install-html-am install-info install-info-am install-man \
1230         install-man3 install-pdf install-pdf-am install-ps \
1231         install-ps-am install-strip installcheck installcheck-am \
1232         installdirs installdirs-am maintainer-clean \
1233         maintainer-clean-generic mostlyclean mostlyclean-generic \
1234         mostlyclean-libtool pdf pdf-am ps ps-am recheck tags tags-am \
1235         uninstall uninstall-am uninstall-dist_m4macroDATA \
1236         uninstall-man uninstall-man3
1237
1238 .PRECIOUS: Makefile
1239
1240
1241 libcurl-symbols.3: $(srcdir)/symbols-in-versions $(srcdir)/mksymbolsmanpage.pl
1242         perl $(srcdir)/mksymbolsmanpage.pl < $(srcdir)/symbols-in-versions > $@
1243
1244 html: $(HTMLPAGES)
1245         cd opts && $(MAKE) html
1246
1247 .3.html:
1248         $(MAN2HTML)
1249
1250 pdf: $(PDFPAGES)
1251         cd opts && $(MAKE) pdf
1252
1253 .3.pdf:
1254         @(foo=`echo $@ | sed -e 's/\.[0-9]$$//g'`; \
1255         groff -Tps -man $< >$$foo.ps; \
1256         ps2pdf $$foo.ps $@; \
1257         rm $$foo.ps; \
1258         echo "converted $< to $@")
1259
1260 check-easy: $(srcdir)/curl_easy_setopt.3 $(srcdir)/opts/CURLOPT*.3
1261         OPTS="$$(ls $(srcdir)/opts/CURLOPT*.3 | $(SED) -e 's,^.*/,,' -e 's,\.3$$,,')" && \
1262         for opt in $$OPTS; do grep "^\.IP $$opt$$" $(srcdir)/curl_easy_setopt.3 >/dev/null || echo Missing $$opt; done > $@
1263
1264 check-multi: $(srcdir)/curl_multi_setopt.3 $(srcdir)/opts/CURLMOPT*.3
1265         OPTS="$$(ls $(srcdir)/opts/CURLMOPT*.3 | $(SED) -e 's,^.*/,,' -e 's,\.3$$,,')" && \
1266         for opt in $$OPTS; do grep "^\.IP $$opt$$" $(srcdir)/curl_multi_setopt.3 >/dev/null || echo Missing $$opt; done > $@
1267
1268 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1269 # Otherwise a system limit (for SysV at least) may be exceeded.
1270 .NOEXPORT: